<?php 
require_once('../modelos/Mikrotik.php');

$mikrotik=new Mikrotik();

$idtecnologia=isset($_POST["idtecnologia"])? limpiarCadena($_POST["idtecnologia"]):"";
$idtorre=isset($_POST["idtorre"])? limpiarCadena($_POST["idtorre"]):"";

switch ($_GET["op"])
{


      case 'enviar_mikrotik':
        $rspta=$mikrotik->enviar_mikrotik($idtecnologia,$idtorre);
        //Codificar el resultado utilizando json
        echo $rspta;
      break;
  
    case 'listarmikrotik':
        $rspta=$mikrotik->listarmikrotik();
        //Vamos a declarar un array
        $data=Array();
        while($reg=$rspta->fetch_object())
        {
          $data[]=array(
            "0"=>$reg->nombre_torre,                 
            "1" => '<button class="btn btn-warning btn-xs btn-flat actualizar-mikrotik" data-id="' . $reg->idtorre . '"><i></i>Actualizar Mikrotik</button>' 
          );
        }
        $results= array(
          "sEcho"=>1, //Informacion para el datatable
          "iTotalRecords"=>count($data),//Enviamos el total de registtros en el datatable
          "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
          "aaData"=>$data);
        echo json_encode($results);
  
      break;

      case 'actualizar_linea':
        $rspta=$mikrotik->actualizar_linea();
         //Codificar el resultado utilizando json
         echo $rspta;
      break;
}